@echo off
SETLOCAL

rem Important!!!: set up JAVA_HOME
if "%JAVA_HOME%" == "" set JAVA_HOME=c:\jdk1.3.0

rem Important!!! Set up PROFILER_HOME  to suit your configuration, for example:
if "%PROFILER_HOME%" == "" set PROFILER_HOME=c:\catchXSL

if exist %JAVA_HOME%\bin\java.exe goto checkjdk11
@echo.
@echo The JDK wasn't found !
@echo Please check if JAVA_HOME is set correctly.
goto end

:checkjdk11
if exist %JAVA_HOME%\lib\classes.zip goto errorjdk


set XALANJARS=%PROFILER_HOME%\lib\xalan.jar;%PROFILER_HOME%\lib\xml-apis.jar;%PROFILER_HOME%\lib\xercesImpl.jar
set SAXONJARS=%PROFILER_HOME%\lib\saxon.jar
set GUIJARS=%PROFILER_HOME%\lib\skinlf.jar;%PROFILER_HOME%\lib\AbsoluteLayout.jar;%PROFILER_HOME%\lib\themes

set CP=%CLASSPATH%;%PROFILER_HOME%\lib\catchXSL.jar;%SAXONJARS%;%XALANJARS%;%GUIJARS%



%JAVA_HOME%\bin\java.exe -cp %CP% ecube.xslprofiler.gui.GuiMainFrm
goto end

:errorjdk
@echo "Sorry catchXSL doesn't work with jdk version 1.1!"
@echo "Please install jdk version 1.3 or higher"

:end
ENDLOCAL
